Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class QNameCache

    java.lang.Object
      org.apache.xmlbeans.QNameCache

    public final class QNameCache

extends Object

A cache that can be used to pool QName instances. Each thread has one.

Constructor Summary
`QNameCache(int initialCapacity)` Creates a QNameCache with the given initialCapacity.
`QNameCache(int initialCapacity, float loadFactor)` Creates a QNameCache with the given initialCapacity and loadFactor.

Method Summary
`QName` | `getName(String uri, String localName)`
`QName` | `getName(String uri, String localName, String prefix)` Fetches a QName with the given namespace and localname.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNameCache

    public QNameCache(int initialCapacity,
                      float loadFactor)

  Creates a QNameCache with the given initialCapacity and loadFactor.

  Parameters:
    `initialCapacity` - the number of entries to initially make space for
    `loadFactor` - a number to control the density of the hashtable

### QNameCache

    public QNameCache(int initialCapacity)

  Creates a QNameCache with the given initialCapacity.

  Parameters:
    `initialCapacity` - the number of entries to initially make space for

Method Detail

### getName

    public QName getName(String uri,
                         String localName)

### getName

    public QName getName(String uri,
                         String localName,
                         String prefix)

  Fetches a QName with the given namespace and localname. Creates one if one is not found in the cache.

  Parameters:
    `uri` - the namespace
    `localName` - the localname
    `prefix` - the prefix
  Returns:
    the cached QName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD